Bug 1316831 - xfce4-weather-plugin crashes on saving settings
xfce4-weather-plugin crashes on saving settings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-weather-plugin (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 04:11 EST by Artem S. Tashkinov
Modified: 2016-09-13 18:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: xfce4-weather-plugin-0.8.8-1.fc25 xfce4-weather-plugin-0.8.8-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-08 17:15:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem S. Tashkinov 2016-03-11 04:11:45 EST
Description of problem:

Whenever I open xfce4-weather-plugin's settings window and then I click close after it has determined my location it crashes.

Version-Release number of selected component (if applicable): 0.8.6


How reproducible: always


Steps to Reproduce:
1. open xfce4-weather-plugin's settings, wait for it to determine your location
2. click "Close"

Actual results: segfault


Expected results: working


Additional info:

$ gdb wrapper-1.0 6191
... skipped
(gdb) cont
Continuing.
[New Thread 0x7fc7e7fff700 (LWP 6245)]
[New Thread 0x7fc7e73e5700 (LWP 6246)]
[Thread 0x7fc7e73e5700 (LWP 6246) exited]
[New Thread 0x7fc7e73e5700 (LWP 6247)]
[Thread 0x7fc7e7fff700 (LWP 6245) exited]

Program received signal SIGSEGV, Segmentation fault.
0x00007fc7f562847e in icon_theme_free () from /usr/lib64/xfce4/panel/plugins/libweather.so
(gdb) bt
#0  0x00007fc7f562847e in icon_theme_free () at /usr/lib64/xfce4/panel/plugins/libweather.so
#1  0x00007fc7f5619fd3 in xfceweather_dialog_response () at /usr/lib64/xfce4/panel/plugins/libweather.so
#2  0x00007fc7ff34dd18 in g_cclosure_marshal_VOID__ENUMv () at /lib64/libgobject-2.0.so.0
#3  0x00007fc7ff34b9d4 in _g_closure_invoke_va () at /lib64/libgobject-2.0.so.0
#4  0x00007fc7ff3662bd in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#5  0x00007fc7ff3668ff in g_signal_emit () at /lib64/libgobject-2.0.so.0
#6  0x00007fc7ff34b9d4 in _g_closure_invoke_va () at /lib64/libgobject-2.0.so.0
#7  0x00007fc7ff3662bd in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#8  0x00007fc7ff3668ff in g_signal_emit () at /lib64/libgobject-2.0.so.0
#9  0x00007fc80005a4e5 in gtk_real_button_released.part () at /lib64/libgtk-x11-2.0.so.0
#10 0x00007fc7ff34b9d4 in _g_closure_invoke_va () at /lib64/libgobject-2.0.so.0
#11 0x00007fc7ff3662bd in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#12 0x00007fc7ff3668ff in g_signal_emit () at /lib64/libgobject-2.0.so.0
#13 0x00007fc80005918c in gtk_button_button_release () at /lib64/libgtk-x11-2.0.so.0
#14 0x00007fc80011283d in _gtk_marshal_BOOLEAN__BOXED () at /lib64/libgtk-x11-2.0.so.0
#15 0x00007fc7ff34b7a5 in g_closure_invoke () at /lib64/libgobject-2.0.so.0
#16 0x00007fc7ff35ddfe in signal_emit_unlocked_R () at /lib64/libgobject-2.0.so.0
#17 0x00007fc7ff366122 in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#18 0x00007fc7ff3668ff in g_signal_emit () at /lib64/libgobject-2.0.so.0
#19 0x00007fc80024281c in gtk_widget_event_internal () at /lib64/libgtk-x11-2.0.so.0
#20 0x00007fc800110b24 in gtk_propagate_event () at /lib64/libgtk-x11-2.0.so.0
#21 0x00007fc800110eeb in gtk_main_do_event () at /lib64/libgtk-x11-2.0.so.0
#22 0x00007fc7ffd6882c in gdk_event_dispatch () at /lib64/libgdk-x11-2.0.so.0
#23 0x00007fc7fec39e3a in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#24 0x00007fc7fec3a1d0 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#25 0x00007fc7fec3a4f2 in g_main_loop_run () at /lib64/libglib-2.0.so.0
#26 0x00007fc80010ff37 in gtk_main () at /lib64/libgtk-x11-2.0.so.0
#27 0x0000560cfcf6f508 in main ()
(gdb)
Comment 1 Mukundan Ragavan 2016-03-11 06:08:59 EST
That's strange. I am yet to see this either in a VM or a bare metal installation ...

Thanks for the report.
Comment 2 Fedora Update System 2016-09-01 20:38:11 EDT
xfce4-weather-plugin-0.8.8-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-00fbcfefdf
Comment 3 Fedora Update System 2016-09-01 20:38:18 EDT
xfce4-weather-plugin-0.8.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cae4f5a687
Comment 4 Fedora Update System 2016-09-02 23:23:33 EDT
xfce4-weather-plugin-0.8.8-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cae4f5a687
Comment 5 Fedora Update System 2016-09-02 23:53:57 EDT
xfce4-weather-plugin-0.8.8-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-00fbcfefdf
Comment 6 Fedora Update System 2016-09-08 17:15:20 EDT
xfce4-weather-plugin-0.8.8-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-09-13 18:25:26 EDT
xfce4-weather-plugin-0.8.8-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.